//
// Created by sfd on 25-4-19.
//

#ifndef IMGUILAYER_H
#define IMGUILAYER_H
#include <Hazel/Core/Layer.h>


namespace Hazel {
    class HAZEL_API ImGuiLayer : public Layer
    {
        public:
        ImGuiLayer();
        ~ImGuiLayer();

        void OnAttach() override;
        void OnDetech() override;
        void OnEvent(SDL_Event& e) override;
        void OnImGuiRender() override;

        void Begin();
        void End();

        void BlockEvents(const bool block) {m_BlockEvent = block;}

    private:
        void SetDarkThemeColors();

    private:
        bool m_BlockEvent = true;
        float m_Time = 0.0f;

    };
}


#endif //IMGUILAYER_H
